> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve Batch Job errors

GET https://api.withpersona.com/api/v1/batch-jobs/{batch-job-id}/errors

Retrieve global and per-row errors for an existing Batch Job.

Reference: https://docs.withpersona.com/api-reference/batch-jobs/retrieve-batch-job-errors

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `batch-job-id` (string, required) — The ID of the Batch Job.

### Query parameters

- `page` (BatchJobsBatchJobIdErrorsGetParametersPage, optional)

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns the errors for a Batch Job.

- `data` (list of batch-job-row-error, required) — A page of row-level failures, ordered by `row-number`.
- `meta` (batch-job-errors-meta, required) — Error counts for a Batch Job, independent of which page of row errors was requested.
- `links` (BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaLinks, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### BatchJobsBatchJobIdErrorsGetParametersPage

- `after` (integer, optional) — Row number cursor. Omit for the first page; pass the `row-number` of the last row returned to fetch the next page. Cannot be combined with `before`.
- `before` (integer, optional) — Row number cursor. Pass the `row-number` of the first row of a page to fetch the page immediately preceding it. Cannot be combined with `after`.
- `size` (integer, optional) — Number of row errors to return, 1-100 (default 50).

### batch-job-row-error

A single row-level failure within a Batch Job.

- `type` ("batch-job-row-error", optional)
- `id` (string, optional) — Composite of the Batch Job's ID and the row's `row-number`, since row numbers are only unique within a run.
- `attributes` (BatchJobRowErrorAttributes, optional)

### batch-job-errors-meta

Error counts for a Batch Job, independent of which page of row errors was requested.

- `error-count` (integer, optional) — Total number of rows that failed to process, across the whole run (not just this page).
- `global-errors` (list of BatchJobErrorsMetaGlobalErrorsItems, optional) — Errors that affected the whole run rather than a single row.

### BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaLinks

- `prev` (string, required, nullable) — URL pointing to the previous page of row errors, or null if this is the first page.
- `next` (string, required, nullable) — URL pointing to the next page of row errors, or null if there are no more.

### BatchJobsBatchJobIdErrorsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### BatchJobRowErrorAttributes

- `row` (map from string to any, optional) — The original row contents, as submitted.
- `error-message` (string, optional, nullable)
- `row-number` (integer, optional) — The 1-indexed position of this row within the submitted `rows` array.

### BatchJobErrorsMetaGlobalErrorsItems

- `error-type` (string, optional)
- `message` (string, optional, nullable)
- `retryable` (boolean, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "type": "batch-job-row-error",
      "id": "mprtpr_ABC123DEF456:2",
      "attributes": {
        "row": {
          "name_first": "John",
          "reference_id": "a-456"
        },
        "error-message": "No record found with unique id \"a-456\"",
        "row-number": 2
      }
    }
  ],
  "meta": {
    "error-count": 1,
    "global-errors": []
  },
  "links": {
    "prev": null,
    "next": null
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/batch-jobs/batch-job-id/errors")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```